package com.bonus.sharedstation.app.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.bonus.sharedstation.common.pojo.PageDTO;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;

/**
 * 理疗预约信息表(TherapyAppointments)实体类
 *
 * @author makejava
 * @since 2024-12-10 10:42:48
 */
public class TherapyAppointmentsDTO extends PageDTO implements Serializable {
    private static final long serialVersionUID = 776088193452399480L;

    private Integer id;
    /**
     * 理疗项目
     */
    private String therapyProject;
    /**
     * 项目价格
     */
    private Double projectPrice;
    /**
     * 项目单位
     */
    private String projectUnit;
    /**
     * 预约时间段
     */
    private LocalTime appointmentTime;
    /**
     * 预约日期
     */
    private Date appointmentDate;
    /**
     * 园区位置
     */
    private String parkLocation;
    /**
     * 预约人姓名
     */
    private String patientName;
    /**
     * 预约人 id
     */
    private String userId;
    /**
     * 手机号
     */
    private String phoneNumber;
    /**
     * 预约状态，1表示已完成，0表示未完成
     */
    private String appointmentStatus;
    /**
     * 备注（200字以内）
     */
    private String remarks;
    /**
     * 创建人
     */
    private String createdBy;
    /**
     * 创建时间
     */
    private Date createdTime;
    /**
     * 修改时间
     */
    private Date updatedTime;
    /**
     * 修改人
     */
    private String updatedBy;
    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    private Integer tenantId;

    private String status;

    /**
     * 名流返回状态 如果成功,就 新增 ,不成功不新增
     */
    @TableField(exist = false)
    private String mlReturnStatus;

    private String orderId;


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTherapyProject() {
        return therapyProject;
    }

    public void setTherapyProject(String therapyProject) {
        this.therapyProject = therapyProject;
    }

    public Double getProjectPrice() {
        return projectPrice;
    }

    public void setProjectPrice(Double projectPrice) {
        this.projectPrice = projectPrice;
    }

    public String getProjectUnit() {
        return projectUnit;
    }

    public void setProjectUnit(String projectUnit) {
        this.projectUnit = projectUnit;
    }

    public LocalTime getAppointmentTime() {
        return appointmentTime;
    }

    public void setAppointmentTime(LocalTime appointmentTime) {
        this.appointmentTime = appointmentTime;
    }

    public Date getAppointmentDate() {
        return appointmentDate;
    }

    public void setAppointmentDate(Date appointmentDate) {
        this.appointmentDate = appointmentDate;
    }

    public String getParkLocation() {
        return parkLocation;
    }

    public void setParkLocation(String parkLocation) {
        this.parkLocation = parkLocation;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getAppointmentStatus() {
        return appointmentStatus;
    }

    public void setAppointmentStatus(String appointmentStatus) {
        this.appointmentStatus = appointmentStatus;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

}

